Package htsjdk.samtools.util

# Class StringLineReader

java.lang.Object
java.io.Reader
java.io.BufferedReader
java.io.LineNumberReader
htsjdk.samtools.util.BufferedLineReader
htsjdk.samtools.util.StringLineReader

All Implemented Interfaces:
  `LineReader`, `Closeable`, `AutoCloseable`, `Readable`

@Deprecated public class StringLineReader extends BufferedLineReader
Deprecated.
use `BufferedLineReader.fromString(String)`.
Implementation of LineReader that gets its input from a String. No charset conversion is necessary because the String is in unicode. Handles CR, LF or CRLF line termination, but if asked to return the line terminator, it always comes back as LF.

## Field Summary

### Fields inherited from class java.io.Reader

`lock`

### Fields inherited from interface htsjdk.samtools.util.LineReader

`EOF_VALUE`

## Constructor Summary

Constructors
Constructor
Description
`StringLineReader(String s)`
Deprecated.

## Method Summary

### Methods inherited from class htsjdk.samtools.util.BufferedLineReader

`close, fromString, peek, readLine`

### Methods inherited from class java.io.LineNumberReader

`getLineNumber, mark, read, read, reset, setLineNumber, skip`

### Methods inherited from class java.io.BufferedReader

`lines, markSupported, ready`

### Methods inherited from class java.io.Reader

`nullReader, read, read, transferTo`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface htsjdk.samtools.util.LineReader

`getLineNumber`

## Constructor Details

### StringLineReader

public StringLineReader(String s)
Deprecated.